LINUX.ORG.RU
решено ФорумAdmin

[Gentoo] Обновление GLIBCXX до 3.4.14


0

1

Добрый день.

По долгу службы мне понадобилось обновить GLIBCXX до версии 3.4.14, но как я не пытался, максимум, чего я добился — 3.4.13. Слышал, что 3.4.14 нестабильная версия, но, блин, по-другому никак. Вопрос — какой нужно добавить репозитарий?

echo «~sys-libs/glibc-2.14 **» >> /etc/portage/package.keywords

anonymous ()

анонимусы жгут :3
GLIBCXX_3.4.14 - это gcc 4.5 ветки
с рояля оно нестабильно?

megabaks ★★★★ ()

да, тебе надо не реп добавлять, а скомандовать
echo «sys-devel/gcc ~arch» >> /etc/portage/package.keywords
где arch == x86 или amd64

megabaks ★★★★ ()
Ответ на: комментарий от megabaks

Отлично, переключил gcc на 4.5.2 — помогло.

Если кому будет интересно, команда

gcc-config i686-pc-linux-gnu-4.5.2

lolwut ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.